﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Diagnostics;
using Infragistics.UltraChart.Core.Primitives;
using Infragistics.UltraChart.Data.Series;

namespace _90644
{
    public partial class Form1 : Form
    {
        Dictionary<IDataPoint, Path> slices = new Dictionary<IDataPoint, Path>();
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            ultraChart1.DataSource = Generate();
            ultraGrid1.DataSource = ultraChart1.DataSource;
        }

        private DataTable Generate()
        {
            DataTable table = new DataTable("My table");
            table.Columns.Add("Week#", typeof(string));
            table.Columns.Add("ActiveX", typeof(int));

            for (int i = 0; i < 10; i++)
            {
                table.Rows.Add(string.Format("Week {0}",i), 1);
            }

            for (int i = 10; i < 20; i++)
            {
                table.Rows.Add(string.Format("Week {0}", i), i);
            }

            //table.Columns.Add("Java", typeof(int));
            //table.Columns.Add("NET", typeof(int));

            //table.Rows.Add("Week 1", 5, 85, 64);
            //table.Rows.Add("Week 2", 5, 200, 95);
            //table.Rows.Add("Week 3", 100, 45, 110);
            //table.Rows.Add("Week 4", 120, 75, 99);
            //table.Rows.Add("Week 5", 60, 113, 50);
            //table.Rows.Add("Week 6", 6, 75, 99);
            
            return table;
        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            MessageBox.Show(string.Format("PieChart has {0} visible slices",slices.Count));
            Debug.WriteLine(slices.Count);
        }

        private void ultraChart1_FillSceneGraph(object sender, Infragistics.UltraChart.Shared.Events.FillSceneGraphEventArgs e)
        {
            slices.Clear();
        }

        private void ultraChart1_ChartDrawItem(object sender, Infragistics.UltraChart.Shared.Events.ChartDrawItemEventArgs e)
        {
            if (e.Primitive is Path && e.Primitive.Row != -1)
            {
                Path pp = e.Primitive as Path;
                if (!slices.ContainsKey(pp.DataPoint))
                    slices.Add(pp.DataPoint, pp);
            }
        }
    }
}
